package com.lovenav.entity;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * ln_banners
 */
@Data
public class Banners implements Serializable {
    public Banners(){
        this.bannerStatus = 0;
    }
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Integer getWeigh() {
        return weigh;
    }

    public void setWeigh(Integer weigh) {
        this.weigh = weigh;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Byte getBannerStatus() {
        return bannerStatus;
    }

    public void setBannerStatus(Byte bannerStatus) {
        this.bannerStatus = bannerStatus;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    /**
     * id
     */
    private Integer id;

    /**
     * 图片url
     */
    private String imgUrl;

    /**
     * 权重
     */
    private Integer weigh;

    /**
     * 跳转链接
     */
    private String url;

    /**
     * 状态（0有效/1无效）
     */
    private Byte bannerStatus;

    /**
     * 创建时间
     */
    private Date createtime;

    private static final long serialVersionUID = 1L;
}